## hol-light 20120423

=== Makefile ===
###############################################################################
# Makefile for HOL Light                                                      #
#                                                                             #
# Simple "make" just builds the camlp4 syntax extension "pa_j.cmo", which is  #
# necessary to load the HOL Light core into the OCaml toplevel.               #
#                                                                             #
# The later options such as "make hol" create standalone images, but only     #
# work under Linux when the "ckpt" checkpointing program is installed.        #
#                                                                             #
# See the README file for more detailed information about the build process.  #
#                                                                             #
# Thanks to Carl Witty for 3.07 and 3.08 ports of pa_j.ml and this process.   #
###############################################################################

# Installation directory for standalone binaries. Set here to the user's
# binary directory. You may want to change it to something like /usr/local/bin

BINDIR=${HOME}/bin

# This is the list of source files in the HOL Light core

HOLSRC=system.ml lib.ml type.ml term.ml thm.ml basics.ml nets.ml        \
       preterm.ml parser.ml printer.ml equal.ml bool.ml drule.ml        \
       tactics.ml itab.ml simp.ml theorems.ml ind_defs.ml class.ml      \
       trivia.ml canon.ml meson.ml quot.ml recursion.ml pair.ml         \
       nums.ml arith.ml wf.ml calc_num.ml normalizer.ml grobner.ml      \
       ind_types.ml lists.ml realax.ml calc_int.ml realarith.ml         \
       real.ml calc_rat.ml int.ml sets.ml iterate.ml cart.ml define.ml  \
       help.ml database.ml update_database.ml

# Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)

pa_j.cmo: pa_j.ml; if test `ocamlc -version | cut -c3` = "0" ; \
                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I +camlp4 pa_j.ml; \
                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I +camlp5 pa_j.ml; \
                   fi

# Choose an appropriate camlp4 or camlp5 syntax extension.
#
# For OCaml < 3.10 (OCAML_BINARY_VERSION = "0"), this uses the built-in
# camlp4, and in general there are different versions for each OCaml version
#
# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "1"), this uses the separate
# program camlp5. Now the appropriate syntax extensions is determined based
# on the camlp5 version. The main distinction is < 6.00 and >= 6.00, but
# unfortunately there is another incompatibility between 6.02.0 and the very
# latest 6.02.1...

OCAML_VERSION=`ocamlc -version | cut -c1-4`
OCAML_BINARY_VERSION=`ocamlc -version | cut -c3`
CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`

pa_j.ml: pa_j_3.04.ml pa_j_3.06.ml pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
        if test ${OCAML_BINARY_VERSION} = "0" ; \
        then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
        else if test ${CAMLP5_VERSION} = "6.02.1" ; \
             then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" ; \
                  then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
                  else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                  fi \
             fi \
        fi

# Build a standalone hol image called "hol" (needs Linux and ckpt program)

hol: pa_j.cmo ${HOLSRC} update_database.ml;                    \
     if test `uname` = Linux; then                                      \
     echo -e '#use "make.ml";;\nloadt "update_database.ml";;\nself_destruct "";;' | ckpt -a SIGUSR1 -n hol.snapshot ocaml;\
     mv hol.snapshot hol;                                               \
     else                                                               \
     echo '******************************************************';     \
     echo 'FAILURE: Image build assumes Linux and ckpt program';        \
     echo '******************************************************';     \
     fi

# Build an image with multivariate calculus preloaded.

hol.multivariate: ./hol                                                 \
     Library/card.ml Library/permutations.ml Multivariate/misc.ml       \
     Library/products.ml Library/floor.ml Multivariate/vectors.ml       \
     Multivariate/determinants.ml Multivariate/topology.ml              \
     Multivariate/convex.ml Multivariate/polytope.ml                    \
     Multivariate/dimension.ml Multivariate/derivatives.ml              \
     Multivariate/clifford.ml Multivariate/integration.ml               \
     Multivariate/measure.ml                                            \
     Multivariate/multivariate_database.ml update_database.ml;          \
     echo -e 'loadt "Multivariate/make.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate analysis";;' | ./hol; mv hol.snapshot hol.multivariate;

# Build an image with analysis and SOS procedure preloaded

hol.sosa: ./hol                                                         \
     Library/analysis.ml Library/transc.ml                              \
     Examples/sos.ml update_database.ml;                                \
     echo -e 'loadt "Library/analysis.ml";;\nloadt "Library/transc.ml";;\nloadt "Examples/sos.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with analysis and SOS";;' | ./hol; mv hol.snapshot hol.sosa;

# Build an image with cardinal arithmetic preloaded

hol.card: ./hol Library/card.ml; update_database.ml;                    \
        echo -e 'loadt "Library/card.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with cardinal arithmetic";;' | ./hol; mv hol.snapshot hol.card;

# Build an image with multivariate-based complex analysis preloaded

hol.complex: ./hol.multivariate                                         \
        Library/binomial.ml Library/iter.ml Multivariate/complexes.ml   \
        Multivariate/canal.ml Multivariate/transcendentals.ml           \
        Multivariate/realanalysis.ml Multivariate/cauchy.ml             \
        Multivariate/complex_database.ml update_database.ml;            \
        echo -e 'loadt "Multivariate/complexes.ml";;\nloadt "Multivariate/canal.ml";;\nloadt "Multivariate/transcendentals.ml";;\nloadt "Multivariate/realanalysis.ml";;\nloadt "Multivariate/cauchy.ml";;\nloadt "Multivariate/complex_database.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate-based complex analysis";;' | ./hol.multivariate; mv hol.snapshot hol.complex;

# Build all those

all: hol hol.multivariate hol.sosa hol.card hol.complex;

# Build binaries and copy them to binary directory

install: hol hol.multivariate hol.sosa hol.card hol.complex; cp hol hol.multivariate hol.sosa hol.card hol.complex ${BINDIR}

# Clean up all compiled files

clean:; rm -f pa_j.ml pa_j.cmi pa_j.cmo hol hol.multivariate hol.sosa hol.card hol.complex;

=== Mizarlight/Makefile ===
#
# Syntax extensions to support Mizar Light: new infix operators
#

# Build the camlp4 syntax extension file

pa_f.cmo: pa_f.ml; if test `ocamlc -version | cut -c3` = "0" ; \
                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I +camlp4 pa_f.ml; \
                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I +camlp5 pa_f.ml; \
                   fi

clean:; rm -f pa_f.cmi pa_f.cmo

=== Proofrecording/hol_light/Makefile ===
###############################################################################
# Makefile for HOL Light                                                      #
#                                                                             #
# Simple "make" just builds the camlp4 syntax extension "pa_j.cmo", which is  #
# necessary to load the HOL Light core into the OCaml toplevel.               #
#                                                                             #
# The later options such as "make hol" create standalone images, but only     #
# work under Linux when the "ckpt" checkpointing program is installed.        #
#                                                                             #
# See the README file for more detailed information about the build process.  #
#                                                                             #
# Thanks to Carl Witty for 3.07 and 3.08 ports of pa_j.ml and this process.   #
###############################################################################

# Installation directory for standalone binaries. Set here to the user's
# binary directory. You may want to change it to something like /usr/local/bin

BINDIR=${HOME}/bin

# This is the list of source files in the HOL Light core

HOLSRC=system.ml lib.ml type.ml term.ml thm.ml basics.ml nets.ml        \
       preterm.ml parser.ml printer.ml equal.ml bool.ml drule.ml        \
       tactics.ml itab.ml simp.ml theorems.ml ind_defs.ml class.ml      \
       trivia.ml canon.ml meson.ml quot.ml recursion.ml pair.ml         \
       nums.ml arith.ml wf.ml calc_num.ml normalizer.ml grobner.ml      \
       ind_types.ml lists.ml realax.ml calc_int.ml realarith.ml         \
       real.ml calc_rat.ml int.ml sets.ml iterate.ml cart.ml define.ml  \
       help.ml database.ml update_database.ml

# Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)

pa_j.cmo: sources pa_j.ml; if test `ocamlc -version | cut -c1-4` = "3.10" -o `ocamlc -version | cut -c1-4` = "3.11" ; \
                   then ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I +camlp5 pa_j.ml; \
                   else ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I +camlp4 pa_j.ml; \
                   fi

# Copy over and modify the sources

sources:; cp ../../*.ml .; \
          cp -f ../diffs/*.ml .; \
          java -jar ../tools/nametheorems.jar *.ml; \
          rm *.ml.old

# Choose an appropriate camlp4 or camlp5 syntax extension.
#
# For OCaml < 3.10 (OCAML_BINARY_VERSION = "0"), this uses the built-in
# camlp4, and in general there are different versions for each OCaml version
#
# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "1"), this uses the separate
# program camlp5. Now the appropriate syntax extensions is determined based
# on the camlp5 version, currently just versions < 6.00 and >= 6.00

OCAML_VERSION=`ocamlc -version | cut -c1-4`
OCAML_BINARY_VERSION=`ocamlc -version | cut -c3`
CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`

pa_j.ml: pa_j_3.04.ml pa_j_3.06.ml pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
        if test ${OCAML_BINARY_VERSION} = "0" ; \
        then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
        else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
        fi

# Compile depgraph

depgraph.ml:; cp ../diffs/depgraph.ml .

depgraph: depgraph.ml; ocamlc -a -I +ocamlgraph graph.cma -o depgraph.cma depgraph.ml


# Create a top-level using str and depgraph

top: depgraph; ocamlmktop -o top -I +ocamlgraph graph.cma depgraph.cma str.cma

# Build a standalone hol image called "hol" (needs Linux and ckpt program)

hol: pa_j.cmo ${HOLSRC} update_database.ml;                    \
     if test `uname` = Linux; then                                      \
     echo -e '#use "make.ml";;\nloadt "update_database.ml";;\nself_destruct "";;' | ckpt -a SIGUSR1 -n hol.snapshot ocaml;\
     mv hol.snapshot hol;                                               \
     else                                                               \
     echo '******************************************************';     \
     echo 'FAILURE: Image build assumes Linux and ckpt program';        \
     echo '******************************************************';     \
     fi

# Build an image with multivariate calculus preloaded.

hol.multivariate: ./hol                                                 \
     Library/card.ml Library/permutations.ml Multivariate/misc.ml       \
     Library/products.ml Library/floor.ml Multivariate/vectors.ml       \
     Multivariate/determinants.ml Multivariate/topology.ml              \
     Multivariate/convex.ml Multivariate/polytope.ml                    \
     Multivariate/dimension.ml Multivariate/derivatives.ml              \
     Multivariate/clifford.ml Multivariate/integration.ml               \
     Multivariate/measure.ml                                            \
     Multivariate/multivariate_database.ml update_database.ml;          \
     echo -e 'loadt "Multivariate/make.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate analysis";;' | ./hol; mv hol.snapshot hol.multivariate;

# Build an image with analysis and SOS procedure preloaded

hol.sosa: ./hol                                                         \
     Library/analysis.ml Library/transc.ml                              \
     Examples/sos.ml update_database.ml;                                \
     echo -e 'loadt "Library/analysis.ml";;\nloadt "Library/transc.ml";;\nloadt "Examples/sos.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with analysis and SOS";;' | ./hol; mv hol.snapshot hol.sosa;

# Build an image with cardinal arithmetic preloaded

hol.card: ./hol Library/card.ml; update_database.ml;                    \
        echo -e 'loadt "Library/card.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with cardinal arithmetic";;' | ./hol; mv hol.snapshot hol.card;

# Build an image with multivariate-based complex analysis preloaded

hol.complex: ./hol.multivariate                                         \
        Library/binomial.ml Library/iter.ml Multivariate/complexes.ml   \
        Multivariate/canal.ml Multivariate/transcendentals.ml           \
        Multivariate/realanalysis.ml Multivariate/cauchy.ml             \
        Multivariate/complex_database.ml update_database.ml;            \
        echo -e 'loadt "Multivariate/complexes.ml";;\nloadt "Multivariate/canal.ml";;\nloadt "Multivariate/transcendentals.ml";;\nloadt "Multivariate/realanalysis.ml";;\nloadt "Multivariate/cauchy.ml";;\nloadt "Multivariate/complex_database.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate-based complex analysis";;' | ./hol.multivariate; mv hol.snapshot hol.complex;

# Build all those

all: hol hol.multivariate hol.sosa hol.card hol.complex;

# Build binaries and copy them to binary directory

install: hol hol.multivariate hol.sosa hol.card hol.complex; cp hol hol.multivariate hol.sosa hol.card hol.complex ${BINDIR}

# Clean up all generated files

clean:; rm -f *.ml *.ml.old pa_j.cmi pa_j.cmo hol hol.multivariate hol.sosa hol.card

clean_all: clean; rm -f *~ *.cma *.cmi *.cmo top top.exe

## hol-light 20120602

=== Makefile ===
--- 
+++ 
@@ -51,12 +51,12 @@
 CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
 CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
 
-pa_j.ml: pa_j_3.04.ml pa_j_3.06.ml pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
+pa_j.ml: pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
         if test ${OCAML_BINARY_VERSION} = "0" ; \
         then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
         else if test ${CAMLP5_VERSION} = "6.02.1" ; \
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
-             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" ; \
+             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.05" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
                   else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                   fi \

=== debian/changelog ===
hol-light (20120602-1build1) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 May 2013 14:58:25 +0100

=== debian/control ===
Source: hol-light
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hendrik Tews <hendrik@askra.de>
Build-Depends: 
 camlp5 (>= 6.0.4),
 ocaml-base-nox,
 dh-ocaml (>= 0.9~),
 debhelper (>= 9.0.0)
Standards-Version: 3.9.3
Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hol-light.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hol-light.git

Package: hol-light
Architecture: any
Depends:
 camlp5,
 ${ocaml:Depends},
 ${shlibs:Depends}, 
 ${misc:Depends}
Suggests:
 readline-editor,
 prover9,
 coinor-csdp,
 pari-gp,
 maxima,
 dmtcp,
 libocamlgraph-ocaml-dev
Description: HOL Light theorem prover
 HOL Light is an interactive theorem prover for Higher-Order Logic
 with a very simple logical core running in an OCaml toplevel. HOL
 Light is famous for the verification of floating-point
 arithmetic as well as for the Flyspec project, which aims at the
 formalization of Tom Hales' proof of the Kepler conjecture.

## hol-light 20130511

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hol-light
 Section: math
-Priority: optional
+Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
@@ -9,7 +9,7 @@
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hol-light.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hol-light.git
@@ -33,5 +33,5 @@
  HOL Light is an interactive theorem prover for Higher-Order Logic
  with a very simple logical core running in an OCaml toplevel. HOL
  Light is famous for the verification of floating-point
- arithmetic as well as for the Flyspec project, which aims at the
+ arithmetic as well as for the Flyspeck project, which aims at the
  formalization of Tom Hales' proof of the Kepler conjecture.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v 

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	make -C Mizarlight clean

.PHONY: override_dh_auto_build
override_dh_auto_build:
	cp pa_j_3.1x_6.02.2.ml pa_j.ml
	make
	make -C Mizarlight

INSTDIR:=debian/hol-light
.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(INSTDIR)/usr/share/hol-light
	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
		tar -C $(INSTDIR)/usr/share/hol-light -x
	install -d $(INSTDIR)/usr/bin
	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light

.PHONY: override_dh_auto_test
override_dh_auto_test:
	debian/test-hol-light

.PHONY: override_dh_ocaml
override_dh_ocaml:
	dh_ocaml --runtime-map hol-light

## hol-light 20130811

=== Makefile ===
--- 
+++ 
@@ -28,35 +28,36 @@
        real.ml calc_rat.ml int.ml sets.ml iterate.ml cart.ml define.ml  \
        help.ml database.ml update_database.ml
 
+# Some parameters to help decide how to build things
+
+OCAML_VERSION=`ocamlc -version | cut -c1-4`
+OCAML_BINARY_VERSION=`ocamlc -version | cut -c1-3`
+CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
+CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
+
 # Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)
 
-pa_j.cmo: pa_j.ml; if test `ocamlc -version | cut -c3` = "0" ; \
-                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I +camlp4 pa_j.ml; \
-                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I +camlp5 pa_j.ml; \
+pa_j.cmo: pa_j.ml; if test ${OCAML_BINARY_VERSION} = "3.0" ; \
+                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I `camlp4 -where` pa_j.ml; \
+                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml; \
                    fi
 
 # Choose an appropriate camlp4 or camlp5 syntax extension.
 #
-# For OCaml < 3.10 (OCAML_BINARY_VERSION = "0"), this uses the built-in
+# For OCaml < 3.10 (OCAML_BINARY_VERSION = "3.0"), this uses the built-in
 # camlp4, and in general there are different versions for each OCaml version
 #
-# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "1"), this uses the separate
-# program camlp5. Now the appropriate syntax extensions is determined based
-# on the camlp5 version. The main distinction is < 6.00 and >= 6.00, but
-# unfortunately there is another incompatibility between 6.02.0 and the very
-# latest 6.02.1...
-
-OCAML_VERSION=`ocamlc -version | cut -c1-4`
-OCAML_BINARY_VERSION=`ocamlc -version | cut -c3`
-CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
-CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
+# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "3.1" or "4.x"), this uses the
+# separate program camlp5. Now the appropriate syntax extensions is determined
+# based on the camlp5 version. The main distinction is < 6.00 and >= 6.00, but
+# there are some other incompatibilities, unfortunately.
 
 pa_j.ml: pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
-        if test ${OCAML_BINARY_VERSION} = "0" ; \
+        if test ${OCAML_BINARY_VERSION} = "3.0"  ; \
         then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
         else if test ${CAMLP5_VERSION} = "6.02.1" ; \
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
-             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.05" ; \
+             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
                   else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                   fi \

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper (>= 9.0.0)
 Standards-Version: 3.9.4
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hol-light.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hol-light.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hol-light.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
 
 Package: hol-light
 Architecture: any

## hol-light 20131026

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,10 @@
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
              else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
-                  else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
+                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" ; \
+                       then cp pa_j_3.1x_6.11.ml pa_j.ml; \
+                       else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
+                       fi \
                   fi \
              fi \
         fi

=== debian/changelog ===
hol-light (20131026-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 09:19:15 -0600

hol-light (20131026-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:16:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
 Build-Depends: 
- camlp5 (>= 6.0.4),
+ camlp5 (>= 6.0.7),
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	cp pa_j_3.1x_6.02.2.ml pa_j.ml
+	cp pa_j_3.1x_6.11.ml pa_j.ml
 	make
 	make -C Mizarlight
 
@@ -38,6 +38,7 @@
 	install -d $(INSTDIR)/usr/share/hol-light
 	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
 		tar -C $(INSTDIR)/usr/share/hol-light -x
+	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/Topology.ml
 	install -d $(INSTDIR)/usr/bin
 	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# The upstream version of HOL Light is only available as svn repository
# at http://hol-light.googlecode.com/svn/trunk . There are no releases.
# 
# If there is a way to let uscan check svn revision numbers then please
# tell me!

## hol-light 20170109

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 
 # This is the list of source files in the HOL Light core
 
-HOLSRC=system.ml lib.ml type.ml term.ml thm.ml basics.ml nets.ml        \
-       preterm.ml parser.ml printer.ml equal.ml bool.ml drule.ml        \
-       tactics.ml itab.ml simp.ml theorems.ml ind_defs.ml class.ml      \
-       trivia.ml canon.ml meson.ml quot.ml recursion.ml pair.ml         \
+HOLSRC=system.ml lib.ml fusion.ml basics.ml nets.ml preterm.ml          \
+       parser.ml printer.ml equal.ml bool.ml drule.ml tactics.ml        \
+       itab.ml simp.ml theorems.ml ind_defs.ml class.ml trivia.ml       \
+       canon.ml meson.ml metis.ml quot.ml recursion.ml pair.ml          \
        nums.ml arith.ml wf.ml calc_num.ml normalizer.ml grobner.ml      \
        ind_types.ml lists.ml realax.ml calc_int.ml realarith.ml         \
        real.ml calc_rat.ml int.ml sets.ml iterate.ml cart.ml define.ml  \
@@ -38,8 +38,11 @@
 # Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)
 
 pa_j.cmo: pa_j.ml; if test ${OCAML_BINARY_VERSION} = "3.0" ; \
-                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I `camlp4 -where` pa_j.ml; \
-                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml; \
+                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I `camlp4 -where` pa_j.ml ; \
+                   else if test ${OCAML_BINARY_VERSION} = "3.1" -o ${OCAML_VERSION} = "4.00" -o ${OCAML_VERSION} = "4.01"  -o ${OCAML_VERSION} = "4.02" -o ${OCAML_VERSION} = "4.03" ; \
+                        then  ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml ; \
+                        else ocamlc -safe-string -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml ; \
+                        fi \
                    fi
 
 # Choose an appropriate camlp4 or camlp5 syntax extension.
@@ -59,7 +62,7 @@
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
              else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
-                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" ; \
+                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" -o ${CAMLP5_VERSION} = "6.12" -o ${CAMLP5_VERSION} = "6.13" -o ${CAMLP5_VERSION} = "6.14" -o ${CAMLP5_VERSION} = "6.15" -o ${CAMLP5_VERSION} = "6.16" ; \
                        then cp pa_j_3.1x_6.11.ml pa_j.ml; \
                        else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                        fi \
@@ -82,13 +85,14 @@
 # Build an image with multivariate calculus preloaded.
 
 hol.multivariate: ./hol                                                 \
-     Library/card.ml Library/permutations.ml Multivariate/misc.ml       \
-     Library/products.ml Library/floor.ml Multivariate/vectors.ml       \
+     Library/card.ml Library/permutations.ml Library/products.ml        \
+     Library/floor.ml Multivariate/misc.ml Library/iter.ml              \
+     Multivariate/metric.ml Multivariate/vectors.ml                     \
      Multivariate/determinants.ml Multivariate/topology.ml              \
-     Multivariate/convex.ml Multivariate/polytope.ml                    \
-     Multivariate/dimension.ml Multivariate/derivatives.ml              \
-     Multivariate/clifford.ml Multivariate/integration.ml               \
-     Multivariate/measure.ml                                            \
+     Multivariate/convex.ml Multivariate/paths.ml                       \
+     Multivariate/polytope.ml Multivariate/degree.ml                    \
+     Multivariate/derivatives.ml Multivariate/clifford.ml               \
+     Multivariate/integration.ml Multivariate/measure.ml                \
      Multivariate/multivariate_database.ml update_database.ml;          \
      echo -e 'loadt "Multivariate/make.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate analysis";;' | ./hol; mv hol.snapshot hol.multivariate;
 
@@ -107,10 +111,11 @@
 # Build an image with multivariate-based complex analysis preloaded
 
 hol.complex: ./hol.multivariate                                         \
-        Library/binomial.ml Library/iter.ml Multivariate/complexes.ml   \
+        Library/binomial.ml Multivariate/complexes.ml                   \
         Multivariate/canal.ml Multivariate/transcendentals.ml           \
-        Multivariate/realanalysis.ml Multivariate/cauchy.ml             \
-        Multivariate/complex_database.ml update_database.ml;            \
+        Multivariate/realanalysis.ml Multivariate/moretop.ml            \
+        Multivariate/cauchy.ml Multivariate/complex_database.ml         \
+        update_database.ml;                                             \
         echo -e 'loadt "Multivariate/complexes.ml";;\nloadt "Multivariate/canal.ml";;\nloadt "Multivariate/transcendentals.ml";;\nloadt "Multivariate/realanalysis.ml";;\nloadt "Multivariate/cauchy.ml";;\nloadt "Multivariate/complex_database.ml";;\nloadt "update_database.ml";;\nself_destruct "Preloaded with multivariate-based complex analysis";;' | ./hol.multivariate; mv hol.snapshot hol.complex;
 
 # Build all those

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hol-light.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hol-light.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
 
 Package: hol-light
 Architecture: any

## hol-light 20170706

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
              else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
-                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" -o ${CAMLP5_VERSION} = "6.12" -o ${CAMLP5_VERSION} = "6.13" -o ${CAMLP5_VERSION} = "6.14" -o ${CAMLP5_VERSION} = "6.15" -o ${CAMLP5_VERSION} = "6.16" ; \
+                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" -o ${CAMLP5_VERSION} = "6.12" -o ${CAMLP5_VERSION} = "6.13" -o ${CAMLP5_VERSION} = "6.14" -o ${CAMLP5_VERSION} = "6.15" -o ${CAMLP5_VERSION} = "6.16" -o ${CAMLP5_VERSION} = "6.17" ; \
                        then cp pa_j_3.1x_6.11.ml pa_j.ml; \
                        else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                        fi \

=== LP_arith/Makefile ===


CDDLIBPATH=/usr/local/lib

GXX = g++
CC = $(GXX)
CCLD = $(CC)


.SUFFIXES: .c .o

COMPILE = $(CC) -O2 -DHAVE_LIBGMP=1 -DGMPRATIONAL -I. -I$(CDDLIBPATH)

LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@

.c.o:
	$(COMPILE) -c `test -f '$<' || echo ''`$<

all: cdd_cert

cdd_cert: cdd_cert.o
	$(LINK) cdd_cert.o $(CDDLIBPATH)/libcddgmp.a -l gmp

clean:
	rm -f *~ *.o cdd_cert cdd_cert.exe

=== Proofrecording/hol_light/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 OCAML_BINARY_VERSION=`ocamlc -version | cut -c3`
 CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
 
-pa_j.ml: pa_j_3.04.ml pa_j_3.06.ml pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
+pa_j.ml: pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
         if test ${OCAML_BINARY_VERSION} = "0" ; \
         then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
         else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \

=== debian/changelog ===
hol-light (20170706-0ubuntu4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:57:06 +0200

hol-light (20170706-0ubuntu3) artful; urgency=medium

  * debian/patches/camlp5-7.patch: Copy from Debian to fix FTBFS.
  * debian/control: Update build dependency on camlp5 per Debian.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 02 Aug 2017 22:36:02 -0700

hol-light (20170706-0ubuntu2) artful; urgency=high

  * No change rebuild against camlp5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 11:20:05 +0100

hol-light (20170706-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Jul 2017 15:14:34 +0100

hol-light (20170109-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: hol-light
 Section: math
 Priority: extra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
 Build-Depends: 
- camlp5 (>= 6.0.7),
+ camlp5 (>= 7.01),
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 override_dh_auto_build:
 	cp pa_j_3.1x_6.11.ml pa_j.ml
 	make
-	make -C Mizarlight
 
 INSTDIR:=debian/hol-light
 .PHONY: override_dh_auto_install
@@ -38,7 +37,9 @@
 	install -d $(INSTDIR)/usr/share/hol-light
 	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
 		tar -C $(INSTDIR)/usr/share/hol-light -x
-	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/Topology.ml
+	chmod -x $(INSTDIR)/usr/share/hol-light/Help/HYP_TAC.doc
+	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/TarskiAxiomGeometry_read.ml
+	chmod -x $(INSTDIR)/usr/share/hol-light/Multivariate/cvectors.ml
 	install -d $(INSTDIR)/usr/bin
 	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light

## hol-light 20190729

=== Makefile ===
--- 
+++ 
@@ -32,14 +32,23 @@
 
 OCAML_VERSION=`ocamlc -version | cut -c1-4`
 OCAML_BINARY_VERSION=`ocamlc -version | cut -c1-3`
+OCAML_UNARY_VERSION=`ocamlc -version | cut -c1`
 CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
-CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
+CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -f1 -d'-' | cut -c1-6`
+
+# Main target
+
+default: update_database.ml pa_j.cmo;
+
+# Choose an appropriate "update_database.ml" file
+
+update_database.ml:; cp update_database_${OCAML_UNARY_VERSION}.ml update_database.ml
 
 # Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)
 
 pa_j.cmo: pa_j.ml; if test ${OCAML_BINARY_VERSION} = "3.0" ; \
                    then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I `camlp4 -where` pa_j.ml ; \
-                   else if test ${OCAML_BINARY_VERSION} = "3.1" -o ${OCAML_VERSION} = "4.00" -o ${OCAML_VERSION} = "4.01"  -o ${OCAML_VERSION} = "4.02" -o ${OCAML_VERSION} = "4.03" ; \
+                   else if test ${OCAML_BINARY_VERSION} = "3.1" -o ${OCAML_VERSION} = "4.00" -o ${OCAML_VERSION} = "4.01"  -o ${OCAML_VERSION} = "4.02" -o ${OCAML_VERSION} = "4.03" -o ${OCAML_VERSION} = "4.04" -o ${OCAML_VERSION} = "4.05" ; \
                         then  ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml ; \
                         else ocamlc -safe-string -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml ; \
                         fi \
@@ -58,13 +67,19 @@
 pa_j.ml: pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
         if test ${OCAML_BINARY_VERSION} = "3.0"  ; \
         then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
-        else if test ${CAMLP5_VERSION} = "6.02.1" ; \
-             then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
-             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
-                  then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
-                  else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" -o ${CAMLP5_VERSION} = "6.12" -o ${CAMLP5_VERSION} = "6.13" -o ${CAMLP5_VERSION} = "6.14" -o ${CAMLP5_VERSION} = "6.15" -o ${CAMLP5_VERSION} = "6.16" -o ${CAMLP5_VERSION} = "6.17" ; \
-                       then cp pa_j_3.1x_6.11.ml pa_j.ml; \
-                       else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
+        else if test ${CAMLP5_BINARY_VERSION} = "7" ; \
+             then if test ${CAMLP5_VERSION} = "7.01" -o ${CAMLP5_VERSION} = "7.02" -o ${CAMLP5_VERSION} = "7.03" -o ${CAMLP5_VERSION} = "7.04" -o ${CAMLP5_VERSION} = "7.05" -o ${CAMLP5_VERSION} = "7.06" ; \
+									then cp pa_j_4.xx_7.06.ml pa_j.ml; \
+									else cp pa_j_4.xx_7.xx.ml pa_j.ml; \
+									fi \
+             else if test ${CAMLP5_VERSION} = "6.02.1" ; \
+                  then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
+                  else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
+                       then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
+                       else if test ${CAMLP5_VERSION} = "6.06" -o ${CAMLP5_VERSION} = "6.07" -o ${CAMLP5_VERSION} = "6.08" -o ${CAMLP5_VERSION} = "6.09" -o ${CAMLP5_VERSION} = "6.10" -o ${CAMLP5_VERSION} = "6.11" -o ${CAMLP5_VERSION} = "6.12" -o ${CAMLP5_VERSION} = "6.13" -o ${CAMLP5_VERSION} = "6.14" -o ${CAMLP5_VERSION} = "6.15" -o ${CAMLP5_VERSION} = "6.16" -o ${CAMLP5_VERSION} = "6.17" ; \
+                            then cp pa_j_3.1x_6.11.ml pa_j.ml; \
+                            else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
+                            fi \
                        fi \
                   fi \
              fi \
@@ -128,4 +143,4 @@
 
 # Clean up all compiled files
 
-clean:; rm -f pa_j.ml pa_j.cmi pa_j.cmo hol hol.multivariate hol.sosa hol.card hol.complex;
+clean:; rm -f update_database.ml pa_j.ml pa_j.cmi pa_j.cmo hol hol.multivariate hol.sosa hol.card hol.complex;

=== LP_arith/Makefile ===
CDDLIBPATH=/usr/lib/x86_64-linux-gnu
CDDINCLUDEPATH=/usr/include/cdd

GXX = g++
CC = $(GXX)
CCLD = $(CC)


.SUFFIXES: .c .o 

COMPILE = $(CC) -O2 -DHAVE_LIBGMP=1 -DGMPRATIONAL -I. -I$(CDDLIBPATH) -I$(CDDINCLUDEPATH)

LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@

.c.o:
	$(COMPILE) -c `test -f '$<' || echo ''`$<

all: cdd_cert

cdd_cert: cdd_cert.o
	$(LINK) cdd_cert.o $(CDDLIBPATH)/libcddgmp.so -l gmp

clean:
	rm -f *~ *.o cdd_cert cdd_cert.exe

=== Proofrecording/tools/src/Makefile ===
install: nametheorems.jar detecteq.jar; mv nametheorems.jar detecteq.jar ..

nametheorems.jar: NamedTheorem.java; \
  javac NamedTheorem.java; \
  jar cvfe nametheorems.jar NamedTheorem NamedTheorem.class; \
  rm -f NamedTheorem.class

detecteq.jar: DetectEq.java; \
  javac DetectEq.java; \
  jar cvfe detecteq.jar DetectEq DetectEq.class; \
  rm -f DetectEq*.class

clean:; rm -f *.class *.jar

=== debian/control ===
Source: hol-light
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hendrik Tews <hendrik@askra.de>
Build-Depends:
 camlp5 (>= 7.01),
 ocaml-base-nox,
 dh-ocaml (>= 0.9~),
 debhelper (>= 10.0.0)
Standards-Version: 4.4.0
Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
Vcs-Git: https://salsa.debian.org/ocaml-team/hol-light.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/hol-light

Package: hol-light
Architecture: any
Depends:
 camlp5,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 readline-editor,
 prover9,
 coinor-csdp,
 pari-gp,
 maxima,
 dmtcp,
 libocamlgraph-ocaml-dev,
 python
Description: HOL Light theorem prover
 HOL Light is an interactive theorem prover for Higher-Order Logic
 with a very simple logical core running in an OCaml toplevel. HOL
 Light is famous for the verification of floating-point
 arithmetic as well as for the Flyspeck project, which aimed at the
 formalization of Tom Hales' proof of the Kepler conjecture.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
-# export DH_OPTIONS=-v 
+# export DH_OPTIONS=-v
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -25,11 +25,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	make -C Mizarlight clean
-
-.PHONY: override_dh_auto_build
-override_dh_auto_build:
-	cp pa_j_3.1x_6.11.ml pa_j.ml
-	make
 
 INSTDIR:=debian/hol-light
 .PHONY: override_dh_auto_install
@@ -45,7 +40,9 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/test-hol-light
+endif
 
 .PHONY: override_dh_ocaml
 override_dh_ocaml:
